summaryrefslogtreecommitdiff
path: root/build_and_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_and_test.sh')
-rw-r--r--build_and_test.sh20
1 files changed, 19 insertions, 1 deletions
diff --git a/build_and_test.sh b/build_and_test.sh
index 157f88a..bd347f2 100644
--- a/build_and_test.sh
+++ b/build_and_test.sh
@@ -172,6 +172,15 @@ if [ $? -ne 0 ]; then
exit 1
fi
+$COMPILEPP ${FLAGS} \
+ ${FLAG_EXE}"build/test_interprocess${EXE_POSTFIX}" \
+ "build/kit${OBJ_POSTFIX}" \
+ "source/tests/test_interprocess.c" \
+ ${LINK_FLAGS}
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
echo "Run tests"
echo ""
@@ -206,7 +215,7 @@ else
STATUS=1
fi
-./build/test_signals
+./build/test_signals --quiet
if [ $? -eq 0 ]; then
echo "signals - OK"
else
@@ -214,4 +223,13 @@ else
STATUS=1
fi
+./build/test_interprocess writer &
+./build/test_interprocess reader
+if [ $? -eq 0 ]; then
+ echo "interprocess - OK"
+else
+ echo "interprocess - FAILED (code $?)"
+ STATUS=1
+fi
+
exit $STATUS